import sys
pathImport = "C:/Users/Public/Pixologic/GoZProjects/Default"
sys.path.append('C:/Users/Public/Pixologic/GoZApps/Max')

# ##### BEGIN GPL LICENSE BLOCK #####
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ##### END GPL LICENSE BLOCK #####

import bpy,os,pixoGozFile
from pixoGozFile import importGoZ,exportGoZ

pathApp = pathImport.rsplit('/',2)[0]+'/GoZBrush'
objectList = []
scn = bpy.context.scene
try:
	fic = open(pathApp+'/GoZ_ObjectList.txt','rt')
	line = fic.readline()
	while line:
		objectList.append(line.strip()+'.GoZ')
		line = fic.readline()
	fic.close()
except:
	pass
def GoZit():
	for obj in scn.objects:
		if obj.name == 'Cube':
			scn.objects.unlink(obj)
			break
	for obj in objectList:
		importGoZ(scn,obj)
class INFO_HT_header(bpy.types.Header):
	bl_space_type = 'INFO'
	def draw(self, context):
		layout = self.layout
		window = context.window
		rd = scn.render
		row = layout.row(align=True)
		row.template_header()
		if context.area.show_menus:
			sub = row.row(align=True)
			sub.menu("INFO_MT_file")
			sub.menu("INFO_MT_add")
			if rd.use_game_engine:
				sub.menu("INFO_MT_game")
			else:
				sub.menu("INFO_MT_render")
			sub.menu("INFO_MT_help")
		if window.screen.show_fullscreen:
			layout.operator("screen.back_to_previous", icon='SCREEN_BACK', text="Back to Previous")
			layout.separator()
		else:
			layout.template_ID(context.window, "screen", new="screen.new", unlink="screen.delete")
			layout.template_ID(context.screen, "scene", new="scene.new", unlink="scene.delete")
		layout.separator()
		layout.operator("scene.gob_export", icon='MAN_TRANS', text="GoB")
		layout.separator()
		if rd.has_multiple_engines:
			layout.prop(rd, "engine", text="")
		layout.separator()
		layout.template_running_jobs()
		layout.template_reports_banner()
		layout.label(text=scn.statistics())
		layout.operator("wm.window_fullscreen_toggle", icon='FULLSCREEN_ENTER', text="")
class GoB_export(bpy.types.Operator):
	bl_idname = "scene.gob_export"
	bl_label = "Export to Zbrush"
	def execute(self,context):
		fic = open(pathApp+'/GoZ_ObjectList.txt','wt')
		for obj in scn.objects:
			if obj.type == 'MESH' and obj.select:
				bpy.ops.object.mode_set(mode='OBJECT')
				exportGoZ(scn,obj,pathImport)
				fic.write(pathImport+'/{0}\n'.format(obj.name))
		fic.close()
		os.system(pathApp+'/GoZBrushFromApp.exe')
		unregister()
		bpy.ops.wm.quit_blender()
		return{'FINISHED'}
def register():
	bpy.utils.register_class(GoB_export)
	bpy.utils.register_class(INFO_HT_header)
	GoZit()
def unregister():
	import bl_ui
	bpy.utils.unregister_class(GoB_export)
	bpy.utils.unregister_class(INFO_HT_header)
	bpy.utils.register_class(bl_ui.space_info.INFO_HT_header)
if __name__ == "__main__":
    register()
